/* Rexx/DW simple window */

Call RxFuncAdd 'DW_LoadFuncs', 'rexxdw', 'DW_LoadFuncs'
Call dw_loadfuncs
Call dw_init
!global.!allowcallbacks = 0
!global.!screen_width = dw_screen_width()
!global.!screen_height = dw_screen_height()
!global.!style = dw_or( !REXXDW.!DW_FCF_SYSMENU, !REXXDW.!DW_FCF_TITLEBAR, !REXXDW.!DW_FCF_SHELLPOSITION, !REXXDW.!DW_FCF_TASKLIST, !REXXDW.!DW_FCF_DLGBORDER )
!global.!mainwindow = dw_window_new( !REXXDW.!DW_DESKTOP, 'Rexx/DW simple window', dw_or( !global.!style, !REXXDW.!DW_FCF_SIZEBORDER, !REXXDW.!DW_FCF_MINMAX ) )
box = dw_box_new( !REXXDW.!DW_VERT )
Call dw_box_pack_start !global.!mainwindow, box, 0, 0, !REXXDW.!DW_EXPAND_HORZ, !REXXDW.!DW_EXPAND_VERT, 0
mainmenubar = dw_menubar_new( !global.!mainwindow )
menu = dw_menu_new( 0 )
menuitem = dw_menu_append_item( menu, '~Quit', 1011, 0, !REXXDW.!DW_MENU_END, !REXXDW.!DW_MENU_NOT_CHECKABLE, 0 )
Call dw_signal_connect menuitem, !REXXDW.!DW_CLICKED_EVENT, 'QuitCallback', 'dir'
Call dw_menu_append_item mainmenubar, '~File', 1010, 0, !REXXDW.!DW_MENU_END, !REXXDW.!DW_MENU_NOT_CHECKABLE, menu
Call dw_window_set_pos_size !global.!mainwindow, 100, 100, 500, 500
Call dw_window_show !global.!mainwindow
!global.!allowcallbacks = 1
If !REXXDW.!HAVE_REXXCALLBACK Then
  Call dw_main
Else
  Do Forever
    cmd = dw_main_iteration()
    If cmd \= '' Then
      Interpret 'Call' cmd
   End
Call dw_window_destroy !global.!mainwindow
Call dw_shutdown
Exit 0
Return 0

QuitCallback:
If !global.!allowcallbacks = 0 Then Return 1
Call dw_main_quit
Return 0
