/* Test connection to MySQL server  */

Call RxFuncAdd "SQLLoadFuncs", "rexxsql", "SQLLoadFuncs"
Call SQLLoadFuncs
If SQLConnect( "c1", "allu", "Montreal", "world", "localhost") < 0 Then
   Do
    Say "MySQL error: The connection failed!"
    Exit 1
  End
If SQLPrepare("q1", "Select count(*) as count from city") < 0 Then
  Do
    Say "MySQL error: The query failed for SQLPrepare!"
    Call SQLDisconnect("c1")
    Exit 1
  End
If SQLOpen("q1") < 0 Then
  Do
    Say "MySQL error: The query failed for SQLOpen!"
    Call SQLClose("q1")
    Call SQLDisconnect("c1")
    Exit 1
  End
rc = SQLFetch('q1')
If rc < 0 Then
  Do
    Say "MySQL error: The query failed for SQLFetch!"
    Call SQLClose("q1")
    Call SQLDisconnect("c1")
    Exit 1
  End
Say "Number of cities =" q1.count
Call SQLClose("q1")
Call SQLDisconnect("c1")
Return 0
